<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\solicitudController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/inscripcion', function(){
    return view('formulario');
})->name('vistaFormulario');

Route::post('/inscripcion/enviar', [solicitudController::class, 'enviar'])->name('guardarSolicitud');

Route::post('/recibo/guardar', [reciboController::class, 'enviar'])->name('guardarRecibo');

Route::get('/enviar/cargarImagen/{codigoBarrs}', [enviarInfoController::class, 'mostrarCodigo'])->name('setImg');

